From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/power_assert/
Date: Sun, 11 Aug 2019 06:56:04 +0000 (UTC) [thread overview]
Message-ID: <1565506554.22abc0593c6073ed7255fcfe7a7f1be9ba5c5ff6.graaff@gentoo> (raw)
commit: 22abc0593c6073ed7255fcfe7a7f1be9ba5c5ff6
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 06:55:31 2019 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 06:55:54 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22abc059
dev-ruby/power_assert: add 1.1.5
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/power_assert/Manifest | 1 +
dev-ruby/power_assert/power_assert-1.1.5.ebuild | 38 +++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-ruby/power_assert/Manifest b/dev-ruby/power_assert/Manifest
index 66f89f62940..35f7a5917f4 100644
--- a/dev-ruby/power_assert/Manifest
+++ b/dev-ruby/power_assert/Manifest
@@ -2,3 +2,4 @@ DIST power_assert-1.1.1.tar.gz 16799 BLAKE2B df5f688d4242373f1a5de95fcbcdd63d23a
DIST power_assert-1.1.2.tar.gz 17140 BLAKE2B a690365b60ff1dbcb9eb70807b4c9c772e7f809190f1fa7dfef449ff01656bc31bd59f0d291ff158bdac1e2accaf376a45fc1dd480fd864fe84ba1ab4baf3743 SHA512 716edf1e2885e2e4d760f9b09aa97be1eee353f4f50297d0009ebc9fa3e16599ae094b78911915f20d295a6232d6c14844f43bf843b25e90f7c76bfa1d7776fc
DIST power_assert-1.1.3.tar.gz 17169 BLAKE2B 05e916cafafc6c90abd9fec30d4439bc4b02cb83267c37528c018eb367a402cd42aefdd050b388d3bc1735f0320109b0c1a078db3718c0d3b2a033c32536c441 SHA512 8612e08c3e30ddfccc6be30f2df101ddcee0d2338b9438fb44e922115c683b31f41b699ca998e088488da94eb5d80da360429fb2ba374c31a9b57a60ebc8c732
DIST power_assert-1.1.4.tar.gz 17330 BLAKE2B 5d5e22c436c8e25612326e8d33a6ca10e8ddacf6d2b5266bdcd61c04abdcde231872ee7589985926153c58872714dd9ac4d66cf1bc0b02ce863968e0215a050c SHA512 1c7b98623710ad037aad4a399b80f28130b76ad38ee4bf0613fe6cfc9080bdcc9c6765358830bcd713201d6e14e33761a34e4434f41f3e8995d8d91d3809a61a
+DIST power_assert-1.1.5.tar.gz 17326 BLAKE2B bd5e0627b681ccebc546a8b95170a3fe20ba919ff19405552e47c8e8f7faebe0c638a71e303e63e04a88b7d48a6ccd3e1117fea863275abbd5182d66e9634db1 SHA512 bc1f98b9b8c3ac327a744a28c54c747177eef187cd998778244f3dce59d2909e94960a50179552a9a687b973bcef49f26fffa67d75e9b3b92ea9959d40b93298
diff --git a/dev-ruby/power_assert/power_assert-1.1.5.ebuild b/dev-ruby/power_assert/power_assert-1.1.5.ebuild
new file mode 100644
index 00000000000..57a23fe5da5
--- /dev/null
+++ b/dev-ruby/power_assert/power_assert-1.1.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="power_assert.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Shows each value of variables and method calls in the expression"
+HOMEPAGE="https://github.com/k-tsj/power_assert"
+SRC_URI="https://github.com/k-tsj/power_assert/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( Ruby BSD-2 )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/I s:^:#:' Rakefile test/test_helper.rb || die
+ sed -i -e '1igem "test-unit"' \
+ -e '/byebug/ s:^:#:' test/test_helper.rb || die
+
+ # Avoid circular dependency on byebug when bootstrapping ruby
+ sed -i -e '/byebug/ s:^:#:' -e '/test_core_ext_helper/ s:^:#:' test/test_helper.rb || die
+ rm test/test_core_ext_helper.rb test/trace_test.rb || die
+
+ # Avoid circular dependency on pry when bootstrapping ruby
+ sed -i -e '/pry/ s:^:#:' -e '/test_colorized_pp/,/^ end/ s:^:#:' test/block_test.rb || die
+}
next reply other threads:[~2019-08-11 6:56 UTC|newest]
Thread overview: 95+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-08-11 6:56 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-23 6:24 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/power_assert/ Hans de Graaff
2024-12-23 6:24 Hans de Graaff
2024-11-14 3:49 Sam James
2024-10-04 6:12 Hans de Graaff
2024-07-17 4:38 Viorel Munteanu
2023-07-11 7:47 Hans de Graaff
2023-04-07 6:38 Sam James
2023-04-07 4:12 Sam James
2023-04-07 4:10 Sam James
2023-04-02 1:51 Sam James
2023-04-01 23:53 Sam James
2023-04-01 23:53 Sam James
2023-04-01 23:53 Sam James
2023-03-11 7:37 Hans de Graaff
2023-02-03 6:26 Sam James
2023-01-15 15:22 Sam James
2023-01-15 15:14 Sam James
2023-01-15 15:14 Sam James
2023-01-15 12:53 Sam James
2023-01-15 12:53 Sam James
2023-01-15 12:44 Sam James
2022-12-23 7:48 Hans de Graaff
2022-10-17 5:25 Hans de Graaff
2022-03-12 7:21 Hans de Graaff
2021-08-30 5:55 Hans de Graaff
2021-07-30 9:59 Hans de Graaff
2021-07-21 10:27 Marek Szuba
2021-07-15 13:44 Sergei Trofimovich
2021-07-13 6:34 Agostino Sarubbo
2021-07-13 6:31 Agostino Sarubbo
2021-07-13 6:29 Agostino Sarubbo
2021-07-11 9:00 Agostino Sarubbo
2021-07-11 8:58 Agostino Sarubbo
2021-07-10 6:49 Hans de Graaff
2021-02-27 6:23 Hans de Graaff
2020-12-28 7:46 Hans de Graaff
2020-04-18 5:33 Hans de Graaff
2020-04-18 5:32 Hans de Graaff
2020-03-22 10:01 Hans de Graaff
2020-02-24 6:27 Hans de Graaff
2019-12-26 11:06 Hans de Graaff
2019-12-03 10:24 Hans de Graaff
2019-11-27 13:03 Mikle Kolyada
2019-11-26 19:35 Sergei Trofimovich
2019-11-23 16:53 Agostino Sarubbo
2019-11-23 15:46 Agostino Sarubbo
2019-11-23 15:40 Agostino Sarubbo
2019-11-23 15:33 Agostino Sarubbo
2019-11-23 12:46 Agostino Sarubbo
2019-11-23 0:13 Aaron Bauman
2019-11-22 16:23 Matt Turner
2019-11-02 8:51 Hans de Graaff
2019-08-12 4:55 Hans de Graaff
2019-06-24 15:14 Michael Haubenwallner
2019-04-27 19:48 Aaron Bauman
2019-03-24 8:35 Hans de Graaff
2018-12-30 21:19 Mikle Kolyada
2018-12-26 8:20 Hans de Graaff
2018-07-29 9:10 Hans de Graaff
2018-07-29 8:42 Sergei Trofimovich
2018-07-11 5:05 Markus Meier
2018-06-25 20:43 Tobias Klausmann
2018-06-25 5:07 Hans de Graaff
2018-06-11 4:24 Hans de Graaff
2018-06-07 22:06 Sergei Trofimovich
2018-06-07 4:43 Hans de Graaff
2018-06-06 23:49 Thomas Deutschmann
2018-06-06 18:26 Sergei Trofimovich
2018-04-27 10:58 Hans de Graaff
2017-12-25 17:02 Hans de Graaff
2017-12-06 22:44 Sergei Trofimovich
2017-10-26 4:03 Hans de Graaff
2017-08-20 7:09 Hans de Graaff
2017-07-11 4:58 Markus Meier
2017-06-05 21:53 Sergei Trofimovich
2017-05-16 5:26 Hans de Graaff
2017-04-30 8:10 Jeroen Roovers
2017-04-25 7:08 Tobias Klausmann
2017-03-08 23:39 Michael Weber
2017-02-01 7:02 Hans de Graaff
2017-02-01 7:02 Hans de Graaff
2017-01-31 7:05 Hans de Graaff
2016-12-26 19:17 Hans de Graaff
2016-11-28 6:41 Hans de Graaff
2016-11-28 6:41 Hans de Graaff
2016-09-08 4:50 Hans de Graaff
2016-09-05 5:41 Hans de Graaff
2016-09-04 6:03 Hans de Graaff
2016-05-18 8:41 Fabian Groffen
2016-01-09 7:40 Hans de Graaff
2016-01-09 7:40 Hans de Graaff
2015-11-11 6:27 Hans de Graaff
2015-11-11 6:27 Hans de Graaff
2015-11-01 6:26 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1565506554.22abc0593c6073ed7255fcfe7a7f1be9ba5c5ff6.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox